/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package itemprice

import (
	e "simrs-vx/internal/domain/main-entities/item-price"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.ItemPrice) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Item_Id = inputSrc.Item_Id
	data.Price = inputSrc.Price
	data.InsuranceCompany_Code = inputSrc.InsuranceCompany_Code
}
